cStringIO.StringIO is incompatible for python 3

Bug #1280964 reported by Yongli He on 2014-02-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Yongli He
Sahara
Fix Released
Low
Debo~ Dutta
python-neutronclient
Low
Yongli He
tuskar
Medium
Yongli He

Bug Description

Import cStringIO

cStringIO.StringIO()

should be :
from six.moves import cStringIO
cStringIO.StringIO()=>cStringIO

For Python3 compatible.

Fix proposed to branch: master
Review: https://review.openstack.org/73936

Changed in tuskar:
assignee: nobody → Yongli He (yongli-he)
status: New → In Progress
Changed in python-neutronclient:
assignee: nobody → Yongli He (yongli-he)
status: New → In Progress
Yongli He (yongli-he) on 2014-02-17
description: updated
Changed in tuskar:
importance: Undecided → Medium
Wei Wang (damon-devops) on 2014-02-17
Changed in savanna:
assignee: nobody → Wei Wang (damon-devops)
status: New → In Progress
Wei Wang (damon-devops) wrote :

Need to be fixed in Savana:

/home/Glraey.Laptop/OpenStack/savanna/tools/lintstack.py

   ...
   22: import cStringIO as StringIO
   ...
  130: buff = StringIO.StringIO()
   ...

Besides, should I fix "six.StringIO" to "six.moves.cStringIO"?

Yongli He (yongli-he) on 2014-02-17
Changed in cinder:
assignee: nobody → Yongli He (yongli-he)
status: New → In Progress
Wei Wang (damon-devops) wrote :

@Yongli has submit a patch.

Changed in savanna:
assignee: Wei Wang (damon-devops) → nobody

Reviewed: https://review.openstack.org/73936
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=66f26796b7edd2441c50b70d31e9d6b21cf4a926
Submitter: Jenkins
Branch: master

commit 66f26796b7edd2441c50b70d31e9d6b21cf4a926
Author: He Yongli <email address hidden>
Date: Mon Feb 17 14:28:56 2014 +0800

    Use six.moves cStringIO instead of cStringIO

    to keep Python 3.x compatibility, use six.moves.cStringIO to
    replace StringIO

    Change-Id: I68fed25f7d83f4413e2ecba20bf53a8825ce6b7e
    Closes-Bug: #1280964

Changed in tuskar:
status: In Progress → Fix Committed
Debo~ Dutta (debo) on 2014-02-18
Changed in savanna:
assignee: nobody → Debo~ Dutta (debo)

Reviewed: https://review.openstack.org/73945
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=6427b5506de72f0adf224d3643f6df9d4a465bdd
Submitter: Jenkins
Branch: master

commit 6427b5506de72f0adf224d3643f6df9d4a465bdd
Author: He Yongli <email address hidden>
Date: Mon Feb 17 14:41:25 2014 +0800

    Use six.moves cStringIO instead of cStringIO

    to keep Python 3.x compatibility, use six.moves.cStringIO to
    replace StringIO

    Change-Id: Id89c6156d9bba0007e8b16cd2cc28413a7cc5fd3
    Closes-Bug: #1280964

Changed in cinder:
status: In Progress → Fix Committed
Changed in tuskar:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/73942
Committed: https://git.openstack.org/cgit/openstack/savanna/commit/?id=12678fc3bc4bb4840b7a363089b58d6115c6dc46
Submitter: Jenkins
Branch: master

commit 12678fc3bc4bb4840b7a363089b58d6115c6dc46
Author: He Yongli <email address hidden>
Date: Mon Feb 17 14:44:55 2014 +0800

    Use six.moves cStringIO instead of cStringIO

    to keep Python 3.x compatibility, use six.moves.cStringIO to
    replace StringIO

    Change-Id: Iff3ecf55573dde287f5eeabfa7c15ef267fafb0c
    Closes-Bug: #1280964

Changed in savanna:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-05
Changed in savanna:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in cinder:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-3 → 2014.1
Changed in sahara:
importance: Undecided → Low
Kyle Mestery (mestery) on 2014-10-13
Changed in python-neutronclient:
importance: Undecided → Low
milestone: none → 2.3.9

Reviewed: https://review.openstack.org/73937
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=1ab433575166c365e544674e79d7ad5d982ccce0
Submitter: Jenkins
Branch: master

commit 1ab433575166c365e544674e79d7ad5d982ccce0
Author: He Yongli <email address hidden>
Date: Mon Feb 17 14:34:45 2014 +0800

    Use six.moves cStringIO instead of cStringIO

    to keep Python 3.x compatibility, use six.moves.cStringIO to
    replace StringIO

    Change-Id: Ib6dcd06ca8c9342d26f3b7b738c99d23433d7f30
    Closes-Bug: #1280964

Changed in python-neutronclient:
status: In Progress → Fix Committed
Kyle Mestery (mestery) on 2014-12-08
Changed in python-neutronclient:
milestone: 2.3.9 → 2.3.10
Akihiro Motoki (amotoki) on 2015-03-03
Changed in python-neutronclient:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers